platteX=100;
platteY=60;
platteZ=3;

MastD=19;
MastH=40;
MastBohr=5;

MastD2=MastD+0.7;
MastD3=MastD2+4;
MastH3=7;  //Zahnraddicke
MastHH3=2;  //Überlapp der Rohre

tHalter=5.2;
bohr=3.3+0.5;
xHalter=15;
yHalter=15;
fnSmall=18;
fnBig=72;
difference(){
	union(){
	   color("Yellow") //Grundplatte
		cube(size=[platteX,platteY,platteZ]); //Grundplatte
		color("orange")
		translate([ 23.5,platteY/2-4, 0])
			cube(size=[5,8,11]);

		color("pink")
		translate([0,platteY/2-4-3.5, platteZ])
			cube(size=[39,4,0.74]);
		color("cyan")
		translate([0,platteY/2-4+3.5+4, platteZ])
			cube(size=[39,4,0.74]);
	}

	translate([5,3,-1])
		cube(size=[25,18,tHalter*2]); 
	translate([5,platteY-3-18,-1])
		cube(size=[25,18,tHalter*2]); 
	translate([70,platteY-3-20,-1])
		cube(size=[25,20,tHalter*2]); 
	translate([70,3,-1])
		cube(size=[25,20,tHalter*2]); 

   translate([ (platteX)/2,(platteY)/2, 0])
	rotate([0,-45,0]){
		translate([ 0,0, -2*MastH3])
			cylinder(h=MastH, d=MastD-5, $fn=fnBig);
	}
}



translate([ tHalter*sqrt(2)/2,(platteY-yHalter)/2, tHalter*sqrt(2)/2])
		rotate([0,-90-45,0]){
			//Halter
			color("blue")
			difference(){
				cube(size=[xHalter,yHalter,tHalter]); 
					translate([xHalter/2,yHalter/4,tklemm])
						cylinder(h=3*tHalter, d=bohr, center=true,$fn=fnSmall);
					translate([xHalter/2,yHalter/4*3,tklemm])
						cylinder(h=3*tHalter, d=bohr, center=true,$fn=fnSmall);
			}
		}
color("red") //Mast
translate([ (platteX+MastD)/2,(platteY)/2, 0])
	difference(){
		translate([ 0,0, -MastD/2])
			rotate([0,-45,0]){
				difference(){
					union(){
						cylinder(h=MastH, d=MastD, $fn=fnBig);
						translate([ 0,0, MastH-MastHH3])
						difference(){
							cylinder(h=MastH3+MastHH3, d=MastD3, $fn=fnBig);
							translate([ 0,0, 2])
							cylinder(h=MastH3+MastHH3, d=MastD2, $fn=fnBig);
						}
					}
					cylinder(h=MastH*3, d=MastD-5, $fn=fnBig);
				}
			}
		translate([ 0,0, -MastD/2])
			cube(size=[platteX,platteY,MastD], center=true); 
	}

