
y=10;
z=8;
bohr=3.55;
h=16;
ra=70;
ringbreite=10;
ringhoehe=5;

fnBig=72;
fnSmall=18;
//----------------------------
box_x=74;
box_y=51;
box_z_boden=3;
box_z_gesamt=12;
box_rahmen_i=3; //x y Breite innen
box_rahmen_a=2; //x y Breite aussen
box_haltenase_Z_Oben = 1.6;
box_haltenase_xy = 0.75;
motor_z=28;
motor_d1=18;
motor_d2=10;
motor_bohr=3.2+0.5; //M4 Kern
motor_breite=45;
balkendicke_zwischen_Pfosten=2;

strebenbreite=5;
strebendicke=4;
strebelaenge=ra - box_y/2 - motor_d1+bohr/2   -5;

anschraub_x = 22;
anschraub_dx = 10;
anschraub_y = 10;
anschraub_z = 2;
anschraub_bohr = 4.6;
//----------------------------


difference(){
	union(){
		color("red")
		for ( i = [0 : 2] ){ // 3 Kegel
			rotate([0,0,120*i])
				translate([ra,0,0])
					cylinder(h=h, d=18,r2=bohr+0.5, $fn=fnBig); 
		}
		color("green")
		difference(){
		   cylinder(h=ringhoehe, r=ra+bohr, $fn=6); 
			translate([0,0,-1])
			   cylinder(h=2*ringhoehe, r=ra-ringbreite/2+bohr, $fn=6); 
		}
	}
	for ( i = [0 : 2] ){ //3 Löcher in Kegel
		rotate([0,0,120*i])
			translate([ra,0,0])
		  		translate([0,0,1.0])
					cylinder(h=39, d=bohr, $fn=fnSmall); 
	}
}

translate([0,0,box_z/2]){ //Halterahmen
	difference(){
		color("orange")
		translate([0,0,box_z_gesamt/2])
			cube([box_x+box_rahmen_a*2,  box_y + box_rahmen_a*2,  box_z_gesamt], center=true); //Aussenbox
			
		translate([-box_x/2, -box_y/2, box_z_boden]) //Halterahmen unten und oben stehen lassen
			cube([box_x,  box_y,  box_z_gesamt - box_z_boden - box_haltenase_Z_Oben]);
			
		cube([box_x-box_rahmen_i*2,box_y-box_rahmen_i*2, 3*box_z_gesamt], center=true); //Loch im Boden
		
		translate([0,0,box_z_gesamt - box_haltenase_Z_Oben/2]) //Halterahmen oben auf Maß bringen
			cube([box_x-box_haltenase_xy*2,  box_y-box_haltenase_xy*2, 2*box_haltenase_Z_Oben], center=true); //Loch innerhalb Halterahmen


     //Halterahmen in der Mitte unterbrechen (Halteecken entstehen
		translate([0,0,box_z_gesamt/2 + box_z_boden]) 
			cube([box_x,  box_y-20, box_z_gesamt], center=true);
		translate([0,0,box_z_gesamt/2 + box_z_boden]) 
			cube([box_x-20,  box_y, box_z_gesamt], center=true);



	}
}
//---Motorpodest---
 module pfosten(x, y) { //gebohrter Pfosten
	color("pink")
	translate([x,y,0])
	difference(){
		cylinder(h=motor_z, d=motor_d1, r2=motor_d2/2 ,$fn=fnSmall); //
		translate([0,0,-0.5])
			cylinder(h=motor_z*2, d=motor_bohr, $fn=fnSmall); //
	}
}
union(){
	pfosten( motor_breite/2,   (box_y + motor_d1) / 2);
	pfosten( motor_breite/2,  -(box_y + motor_d1) / 2);
	pfosten(-motor_breite/2,   (box_y + motor_d1) / 2);
	pfosten(-motor_breite/2,  -(box_y + motor_d1) / 2);


	//Balken zwischen Pfosten
	color("cyan")
	translate([ -motor_breite/2 + motor_bohr,  (box_y + motor_d1-balkendicke_zwischen_Pfosten) / 2,  0])
		cube([motor_breite-2*motor_bohr,  balkendicke_zwischen_Pfosten,  motor_z]);
	color("blue")
	translate([ -motor_breite/2 + motor_bohr,  -(box_y + motor_d1+balkendicke_zwischen_Pfosten) / 2,  0])
		cube([motor_breite-2*motor_bohr,  balkendicke_zwischen_Pfosten,  motor_z]);
	
	//---Kreis mit Rahmen verbinden---
	color("red")
	translate([ -(motor_breite+strebenbreite)/2 ,  (box_y + motor_d1+motor_bohr) / 2,  0])
		cube([strebenbreite,  strebelaenge, strebendicke]);
	translate([ (motor_breite-strebenbreite)/2 ,  (box_y + motor_d1+motor_bohr) / 2,  0])
		cube([strebenbreite,  strebelaenge, strebendicke]);
	
	translate([ -(motor_breite+strebenbreite)/2 , -(box_y + motor_d1+motor_bohr) / 2-strebelaenge,  0])
		cube([strebenbreite,  strebelaenge, strebendicke]);
	translate([ (motor_breite-strebenbreite)/2 ,  -(box_y + motor_d1+motor_bohr) / 2-strebelaenge,  0])
		cube([strebenbreite,  strebelaenge, strebendicke]);
}
//Befestigungslöcher
module anschraub(x,y){
	translate([x,y,0])
	difference(){
		translate([0,0,anschraub_z/2])
		cube([anschraub_x, anschraub_y, anschraub_z],center=true);
		//cylinder(h=anschraub_z, d=anschraub_d,$fn=fnSmall); //
		translate([0,0,-1])
		
		cylinder(h=anschraub_z*2, d=anschraub_bohr,$fn=fnSmall); //
	}
}
for ( i = [0 : 2] )
	rotate([0,0,30+120*i])
	anschraub(ra-(anschraub_x-ringbreite)/2-bohr - anschraub_dx,0);

color("red")
translate([0,  -(box_y + motor_d1) / 2,  anschraub_z/2])
  rotate([0,0,30+120*2])
  cube([ra-anschraub_x - box_y/2, anschraub_y, anschraub_z],center=true);

/*

fnBig=72;
fnSmall=18;

cube([x,y,z]);
cylinder(h=, d=,$fn=fnSmall); //

translate([0,0,0])
difference(){
union(){
for ( i = [0 : 2] ){ 

color("orange")
color("cyan")
color("red")
color("blue")
color("green")
color("pink")
*/