dlinse=108-16+3.4 + 0.5;

platteX=84+7;
platteY=61+4.5+0.4;
//platteY=6;
platteZ=1.25;

BohrX=platteX/2+5;
BohrD=30;

halterW = 3; //Wandstärke
halterH = platteZ+6; //Höhe
halterX = platteX;
halterAbst = 5.1; //Spiegeldicke
halterAbstLi = 5.2+0.5; //Linsenringdicke


alpha=45; //Schrägstellung Spiegel
beta=16.4; //Schrägstellung Deckelplatte

aLinse=-beta;
LiHalterH = platteZ+8; //Höhe
LiHalterB=16; //Breite

randStehHoehe=6;
//randStehHoehe=3;

fnSmall=18;
fnBig=72;



//Draw a prism based on a 
//right angled triangle
//l - length of prism
//w - width of triangle
//h - height of triangle
module prism(l, w, h) {
	translate([0, l, 0]) rotate( a= [90, 0, 0]) 
	linear_extrude(height = l) polygon(points = [
		[0, 0],
		[w, 0],
		[0, h]
	], paths=[[0,1,2,0]]);
}

rotate([0,-180+beta,-180]){
rotate([180,beta,180]){

difference(){
	union(){
	   color("Yellow") //Grundplatte
		cube(size=[platteX+halterAbst+halterW/2,platteY,platteZ]); //Dackplatte

		//Spiegelseite
		translate([platteX-halterAbst, 0, 0]){
			difference(){
				rotate([0,beta-alpha,0])
				translate([0, 0, -20])
				union(){
					color("cyan")
						cube(size=[halterW, platteY, halterH+20]);
					translate([halterAbst+halterW, 0, 0])
						color("blue")
						cube(size=[halterW, platteY, halterH+20]);
				}
				translate([0, 0, -20/2])
				cube(size=[99, platteY*3, 20],center=true);
			}	

		}
	}


   translate([ BohrX, platteY/2, 0])
	rotate([0,beta,0]){
		translate([ 0,0, -10])
			cylinder(h=99, d=BohrD, $fn=fnBig);
	}
}
color("red")
	translate([5,0,0])
cube(size=[platteX-0.75, 1.5, randStehHoehe]);
color("maroon")
	translate([5,platteY-1,0])
cube(size=[platteX-0.75, 1.5, randStehHoehe]);


color("black")
	translate([12.5,platteY/2-1,0])
cube(size=[15, 2, randStehHoehe]);
color("cyan")
	translate([platteX - 20,platteY/2-1,0])
cube(size=[15, 2, randStehHoehe]);

//Linsenseite
difference(){
	rotate([0,-aLinse,0])
	translate([0, platteY/2 - LiHalterB/2, -20])
	union(){
		color("cyan")
			cube(size=[halterW, LiHalterB, LiHalterH+20]);
		translate([halterAbstLi+halterW, 0, 0])
			color("blue")
			cube(size=[halterW, LiHalterB, LiHalterH+20]);
	}
	translate([0, 10, -40/2])
	cube(size=[99, platteY*4+10, 40],center=true);
}	
}
translate([-(halterAbst-1.5 + 2*halterW), platteY, 0.4])
difference(){
color("green")
	translate([halterW-1, -platteY, -dlinse/2   -3])
	cube([3,platteY-1,dlinse/2 ]);
	translate([halterW-1.1, -platteY/2, -dlinse/2   -4])
	rotate([0,90,0])
	cylinder(h=10, d=dlinse, , $fn=fnBig);
}
}