
y=10;
z=8;
bohr=3.55;
h=16;
ra=70;
ringbreite=10;
ringhoehe=5;

fnBig=72;
fnSmall=24;
//----------------------------
box_x=74;
box_y=51;
box_z_boden=4;
box_z_gesamt=15;
box_rahmen_i=3; //x y Breite innen
box_rahmen_a=2; //x y Breite aussen
box_haltenase_Z_Oben = 1.6;
box_haltenase_xy = 0.75;
motor_z=28;
motor_d1=16;   //Motor-Kegel unten
motor_d2=10;	//Motor-Kegel oben
motor_bohr=3.2+0.5; //M4 Kern
motor_breite=45;
balkendicke_zwischen_Pfosten=1.5;

strebenbreite=5;
strebendicke=4;
strebelaenge=ra - box_y/2 - motor_d1+bohr/2   -5;

anschraub_x = 20.5;
anschraub_dx = 10;
anschraub_y = 10;
anschraub_z = 2;
anschraub_bohr = 4.6;

elkoW=1.5; //Wandstaerke
elkoD=22+1;
elkoH=41.5+1;
elkoHA=elkoH + 2 * elkoW; //Gehaeuse aussen
elkoDA=elkoD + 2 * elkoW; //Gehaeuse aussen
elkoYpos=50;
elkoSockelZ=8.5;
elkoHalteloch=2.2+0.5;
//----------------------------


difference(){
	union(){
		color("red")
		for ( i = [0 : 2] ){ // 3 Kegel
			rotate([0,0,120*i])
				translate([ra,0,0])
					cylinder(h=h, d=18,r2=bohr+0.5, $fn=fnBig); 
		}
		color("green")
		difference(){
		   cylinder(h=ringhoehe, r=ra+bohr, $fn=6); 
			translate([0,0,-1])
			   cylinder(h=2*ringhoehe, r=ra-ringbreite/2+bohr, $fn=6); 
		}
	}
	for ( i = [0 : 2] ){ //3 Löcher in Kegel
		rotate([0,0,120*i])
			translate([ra,0,0])
		  		translate([0,0,1.0])
					cylinder(h=39, d=bohr, $fn=fnSmall); 
	}
}

translate([0,0,0]){ //Halterahmen
	difference(){
		color("orange")
		translate([0,0,box_z_gesamt/2])
			cube([box_x+box_rahmen_a*2,  box_y + box_rahmen_a*2,  box_z_gesamt], center=true); //Aussenbox
			
		translate([-box_x/2, -box_y/2, box_z_boden]) //Halterahmen unten und oben stehen lassen
			cube([box_x,  box_y,  box_z_gesamt - box_z_boden - box_haltenase_Z_Oben]);
			
		cube([box_x-box_rahmen_i*2,box_y-box_rahmen_i*2, 3*box_z_gesamt], center=true); //Loch im Boden
		
		translate([0,0,box_z_gesamt - box_haltenase_Z_Oben/2]) //Halterahmen oben auf Maß bringen
			cube([box_x-box_haltenase_xy*2,  box_y-box_haltenase_xy*2, 2*box_haltenase_Z_Oben], center=true); //Loch innerhalb Halterahmen


     //Halterahmen in der Mitte unterbrechen (Halteecken entstehen
		translate([0,0,box_z_gesamt/2 + box_z_boden]) 
			cube([box_x,  box_y-20, box_z_gesamt], center=true);
		translate([0,0,box_z_gesamt/2 + box_z_boden]) 
			cube([box_x-20,  box_y, box_z_gesamt], center=true);



	}
}
//---Motorpodest---
 module pfosten(x, y) { //gebohrter Pfosten
	color("pink")
	translate([x,y,0])
	difference(){
		cylinder(h=motor_z, d=motor_d1, r2=motor_d2/2 ,$fn=fnSmall); //
		translate([0,0,-0.5])
			cylinder(h=motor_z*2, d=motor_bohr, $fn=fnSmall); //
	}
}
difference(){
union(){
	pfosten( motor_breite/2,   (box_y + motor_d1) / 2);
	pfosten( motor_breite/2,  -(box_y + motor_d1) / 2);
	pfosten(-motor_breite/2,   (box_y + motor_d1) / 2);
	pfosten(-motor_breite/2,  -(box_y + motor_d1) / 2);


	//Balken zwischen Pfosten
	color("cyan")
	translate([ -motor_breite/2 + motor_bohr,  (box_y + motor_d1-balkendicke_zwischen_Pfosten) / 2,  0])
		difference(){ //Elko-Bügel-Loch
			cube([motor_breite-2*motor_bohr,  balkendicke_zwischen_Pfosten,  motor_z]);
			translate([motor_breite/2- elkoHalteloch,0, motor_z/4*3])
			rotate([90,0,0])
				cylinder(h=8, d=elkoHalteloch, $fn=fnSmall, center=true); //
		}

	color("blue")
	translate([ -motor_breite/2 + motor_bohr,  -(box_y + motor_d1+balkendicke_zwischen_Pfosten) / 2,  0])
		cube([motor_breite-2*motor_bohr,  balkendicke_zwischen_Pfosten,  motor_z]);
	

	//---Kreis mit Rahmen verbinden---
	color("red"){
		translate([ -(motor_breite+strebenbreite)/2 ,  (box_y + motor_d1+motor_bohr) / 2,  0])
			cube([strebenbreite,  strebelaenge, strebendicke]);
		translate([ (motor_breite-strebenbreite)/2 ,  (box_y + motor_d1+motor_bohr) / 2,  0])
			cube([strebenbreite,  strebelaenge, strebendicke]);
		
		translate([ -(motor_breite+strebenbreite)/2 , -(box_y + motor_d1+motor_bohr) / 2-strebelaenge,  0])
			cube([strebenbreite,  strebelaenge, strebendicke]);
		translate([ (motor_breite-strebenbreite)/2 ,  -(box_y + motor_d1+motor_bohr) / 2-strebelaenge,  0])
			cube([strebenbreite,  strebelaenge, strebendicke]);
			}

	color("lightblue"){ // Elkowanne (Rechteckteil)
		translate([elkoHA/2-elkoW*2, elkoYpos, elkoSockelZ/2])
			cube([elkoHA/5, elkoD, elkoSockelZ],center=true);
		translate([-elkoHA/2+elkoW*2, elkoYpos, elkoSockelZ/2])
			cube([elkoHA/5, elkoD, elkoSockelZ],center=true);
	}
}

//Jetzt den Elko ausstanzen
translate([0,elkoYpos,motor_z-elkoDA/2])
	rotate([0,90,0])
			cylinder(h=elkoH, d=elkoD,$fn=fnBig, center=true); //Elko
}


//Befestigungslöcher
module anschraub(x,y){
	translate([x,y,0])
	difference(){
		translate([0,0,anschraub_z/2])
		cube([anschraub_x, anschraub_y, anschraub_z],center=true);
		//cylinder(h=anschraub_z, d=anschraub_d,$fn=fnSmall); //
		translate([0,0,-1])
		
		cylinder(h=anschraub_z*2, d=anschraub_bohr,$fn=fnSmall); //
	}
}
color("gray")
for ( i = [0 : 2] )
	rotate([0,0,30+120*i])
	anschraub(ra-(anschraub_x-ringbreite)/2-bohr - anschraub_dx,0);
//Verlaengerung bis Innenrahmen
color("black")
translate([0,  -(box_y + motor_d1 + box_rahmen_a) / 2,  anschraub_z/2])
  rotate([0,0,30+120*2])
  cube([ra-anschraub_x - box_y/2, anschraub_y, anschraub_z],center=true);


translate([80,-7,0]) //Text PETER
	rotate([0,0,-60+120])
	import("E:\\CloudStation\\openSCAD\\peter.stl", convexity=13);

translate([-62.5,17,0]) //Text 70
	rotate([0,0,-60+120])
	scale([0.8,0.9,1])
	import("E:\\CloudStation\\openSCAD\\siebzig.stl", convexity=13);

/*

fnBig=72;
fnSmall=18;

cube([x,y,z]);
cylinder(h=, d=,$fn=fnSmall); //

translate([0,0,0])
rotate([])
difference(){
union(){
for ( i = [0 : 2] ){ 

color("orange")
color("cyan")
color("red")
color("blue")
color("green")
color("pink")
*/