part=2;  //1=Halter 2=Sicherungsring


dlinse=108-16;
randr=3 *2; //Radialer Rand  (verdeckt Linse)
gap=0.7; //Loch größer als Linse
tiefe=4;	//Ring hinter Frontwand
klemm=1.2;  //Durchmesserreduzierung oben (Roter Ring)
tklemm=0.75;  //Tiefe Klemmring 
wand=1.2; //Wand vorne 
ringdicke=2; //Wand aussen
tHalter=5.2;
bohr=3.3+0.5;
xHalter=15;
yHalter=15;
fnBig=72;
fnSmall=18;

//--------------------
sicherRingWand=3.5;
luecke = 3.1415 * 2.0;
anfasserLen=3;
anfasserDicke=4;
hSicher = tiefe-tklemm-0.5;

if (part==1){
difference(){
	union(){
		cylinder(h=wand+tiefe, d=dlinse+ringdicke*2+gap,$fn=fnBig); //Aussenring
	   color("cyan")
		translate([dlinse/2,-yHalter/2,0])
			difference(){
				cube(size=[xHalter,yHalter,tHalter]); 
					translate([xHalter/2,yHalter/4,tklemm])
						cylinder(h=3*tHalter, d=bohr, center=true,$fn=fnSmall);
					translate([xHalter/2,yHalter/4*3,tklemm])
						cylinder(h=3*tHalter, d=bohr, center=true,$fn=fnSmall);
		}
	}

	translate([0,0,wand])
		cylinder(h=2*tiefe, d=dlinse+gap,$fn=fnBig);
	cylinder(h=4*tiefe, d=dlinse-randr+gap, center=true,$fn=fnBig);
}

color("red")
translate([0,0,tiefe+wand-tklemm])
	difference(){
		cylinder(h=tklemm, d=dlinse+gap,$fn=fnBig);
		translate([0,0,tklemm])
			cylinder(h=2*tiefe, d=dlinse+gap-klemm, center=true,$fn=fnBig);
	}
}else{
//-----------------Sicherungsring-----------------------------------------------

color("blue")
//translate([0,0,tiefe*3]){
	difference(){
		union(){
			difference(){
				cylinder(h=hSicher, d=dlinse+gap,$fn=fnBig); //Aussenring
				cylinder(h=4*tiefe, d=dlinse+gap-sicherRingWand*2, center=true,$fn=fnBig);
			}
			translate([dlinse/2-anfasserLen-sicherRingWand-1, -luecke/2-anfasserDicke, 0])
				cube(size=[anfasserLen+sicherRingWand,luecke+anfasserDicke*2,hSicher]); 
		}
		translate([dlinse/2,0,0])
			cube(size=[dlinse/2,luecke,hSicher*3], center=true); 
	}
	translate([dlinse/2-anfasserLen-sicherRingWand-1, -anfasserLen-1,0])
		cube(size=[2.5,luecke-0.3,hSicher]); 
  
   //Anfasser
	translate([dlinse/2-anfasserLen-sicherRingWand-1, -anfasserLen-anfasserDicke])
		cube(size=[2.5,luecke,6]); 
}
